/**
 * Theme functions file.
 *
 * Contains handlers for navigation.
 */

jQuery(function($){
 	"use strict";
   	jQuery('.hbs-primary-nav .hbs-nav-menu, .hbs-primary-nav .primary-menu').superfish({
		delay:       200,
		animation:   { opacity: 'show' },
		speed:       150,
		autoArrows:  false,
		dropShadows: false,
		disableHI:   true
   	});

   	$( window ).scroll( function() {
		if ( $( this ).scrollTop() > 200 ) {
			$( '.back-to-top' ).addClass( 'show-back-to-top' );
		} else {
			$( '.back-to-top' ).removeClass( 'show-back-to-top' );
		}
	});

	// Click event to scroll to top.
	$( '.back-to-top' ).click( function() {
		$( 'html, body' ).animate( { scrollTop : 0 }, 500 );
		return false;
	});

});



function storecraft_open() {
	jQuery(".sidenav").addClass('show');
}
function storecraft_close() {
	jQuery(".sidenav").removeClass('show');
    jQuery( '.mobile-menu' ).focus();
}

function storecraft_menuAccessibility() {
	var links, i, len,
	    storecraft_menu = document.querySelector( '.nav-menu' ),
	    storecraft_iconToggle = document.querySelector( '.nav-menu ul li:first-child a' );
    
	let storecraft_focusableElements = 'button, a, input';
	let storecraft_firstFocusableElement = storecraft_iconToggle; // get first element to be focused inside menu
	let storecraft_focusableContent = storecraft_menu.querySelectorAll(storecraft_focusableElements);
	let storecraft_lastFocusableElement = storecraft_focusableContent[storecraft_focusableContent.length - 1]; // get last element to be focused inside menu

	if ( ! storecraft_menu ) {
    	return false;
	}

	links = storecraft_menu.getElementsByTagName( 'a' );

	// Each time a menu link is focused or blurred, toggle focus.
	for ( i = 0, len = links.length; i < len; i++ ) {
	    links[i].addEventListener( 'focus', toggleFocus, true );
	    links[i].addEventListener( 'blur', toggleFocus, true );
	}

	// Sets or removes the .focus class on an element.
	function toggleFocus() {
      	var self = this;

      	// Move up through the ancestors of the current link until we hit .mobile-menu.
      	while (-1 === self.className.indexOf( 'nav-menu' ) ) {
	      	// On li elements toggle the class .focus.
	      	if ( 'li' === self.tagName.toLowerCase() ) {
	          	if ( -1 !== self.className.indexOf( 'focus' ) ) {
	          		self.className = self.className.replace( ' focus', '' );
	          	} else {
	          		self.className += ' focus';
	          	}
	      	}
	      	self = self.parentElement;
      	}
	}
    
	// Trap focus inside modal to make it ADA compliant
	document.addEventListener('keydown', function (e) {
	    let isTabPressed = e.key === 'Tab' || e.keyCode === 9;

	    if ( ! isTabPressed ) {
	    	return;
	    }

	    if ( e.shiftKey ) { // if shift key pressed for shift + tab combination
	      	if (document.activeElement === storecraft_firstFocusableElement) {
		        storecraft_lastFocusableElement.focus(); // add focus for the last focusable element
		        e.preventDefault();
	      	}
	    } else { // if tab key is pressed
	    	if (document.activeElement === storecraft_lastFocusableElement) { // if focused has reached to last focusable element then focus first focusable element after pressing tab
		      	storecraft_firstFocusableElement.focus(); // add focus for the first focusable element
		      	e.preventDefault();
	    	}
	    }
	});   
}

jQuery(function($){
	$('.mobile-menu').click(function () {
	    storecraft_menuAccessibility();
  	});
});

// ********

(function( $ ) {
	// NAVIGATION CALLBACK FOR WOCOMMERCE MENU
	var ww = jQuery(window).width();


	/**** Hidden search box ***/
	jQuery('document').ready(function($){
		$('.search-box span i').click(function(){
	        $(".serach_outer").slideDown(700);
	    });

	    $('.closepop i').click(function(){
	        $(".serach_outer").slideUp(700); 
	    });
	});

	$(document).ready(function(){
		$(".product-cat").hide();
	    $(".product-btn").click(function(){
	        $(".product-cat").toggle();
	    });
	});	
	
})( jQuery );